oc_jpegencode 1.0 JPEGencoder

Static Public Member Functions | Public Attributes | List of all members
fifo_out Module Reference
Inheritance diagram for fifo_out:
[legend]
Collaboration diagram for fifo_out:
[legend]

## Static Public Member Functions

## Always Constructs
ALWAYS_253 | ( clk )
ALWAYS_254 | ( clk )
ALWAYS_255 | ( clk )
ALWAYS_256 | ( clk )
ALWAYS_257 | ( clk )
ALWAYS_258 | ( clk )
ALWAYS_259 | ( clk )
ALWAYS_260 | ( clk )
ALWAYS_261 | ( clk )
ALWAYS_262 | ( clk )
ALWAYS_263 | ( clk )
ALWAYS_264 | ( clk )
ALWAYS_265 | ( clk )
ALWAYS_266 | ( clk )
ALWAYS_267 | ( clk )
ALWAYS_268 | ( clk )
ALWAYS_269 | ( clk )
ALWAYS_270 | ( clk )
ALWAYS_271 | ( clk )
ALWAYS_272 | ( clk )
ALWAYS_273 | ( clk )
ALWAYS_274 | ( clk )
ALWAYS_275 | ( clk )
ALWAYS_276 | ( clk )
ALWAYS_277 | ( clk )
ALWAYS_278 | ( clk )
ALWAYS_279 | ( clk )
ALWAYS_280 | ( clk )
ALWAYS_281 | ( clk )
ALWAYS_282 | ( clk )
ALWAYS_283 | ( clk )
ALWAYS_284 | ( clk )
ALWAYS_285 | ( clk )
ALWAYS_286 | ( clk )
ALWAYS_287 | ( clk )
ALWAYS_288 | ( clk )
ALWAYS_289 | ( clk )
ALWAYS_290 | ( clk )
ALWAYS_291 | ( clk )
ALWAYS_292 | ( clk )
ALWAYS_293 | ( clk )
ALWAYS_294 | ( clk )
ALWAYS_295 | ( clk )
ALWAYS_296 | ( clk )
ALWAYS_297 | ( clk )
ALWAYS_298 | ( clk )
ALWAYS_299 | ( clk )
ALWAYS_300 | ( clk )
ALWAYS_301 | ( clk )
ALWAYS_302 | ( clk )
ALWAYS_303 | ( clk )
ALWAYS_304 | ( clk )
ALWAYS_305 | ( clk )
ALWAYS_306 | ( clk )
ALWAYS_307 | ( clk )
ALWAYS_308 | ( clk )
ALWAYS_309 | ( clk )
ALWAYS_310 | ( clk )
ALWAYS_311 | ( clk )
ALWAYS_312 | ( clk )
ALWAYS_313 | ( clk )
ALWAYS_314 | ( clk )

## Public Attributes

## Inputs
clk |
rst |
enable |
data_in | [ 23 : 0 ]

## Outputs
JPEG_bitstream | [ 31 : 0 ]
data_ready |
orc_reg | [ 4 : 0 ]

## Signals
wire[ 31 : 0 ] | cb_JPEG_bitstream
wire[ 31 : 0 ] | cr_JPEG_bitstream
wire[ 31 : 0 ] | y_JPEG_bitstream
wire[ 4 : 0 ] | cr_orc
wire[ 4 : 0 ] | cb_orc
wire[ 4 : 0 ] | y_orc
wire[ 31 : 0 ] | y_bits_out
wire | y_out_enable
wire | cb_data_ready
wire | cr_data_ready
wire | y_data_ready
wire | end_of_block_output
wire | y_eob_empty
wire | cb_eob_empty
wire | cr_eob_empty
wire | y_fifo_empty
reg[ 4 : 0 ] | orc
reg[ 4 : 0 ] | orc_reg
reg[ 4 : 0 ] | orc_cb
reg[ 4 : 0 ] | orc_cr
reg[ 4 : 0 ] | old_orc_reg
reg[ 4 : 0 ] | sorc_reg
reg[ 4 : 0 ] | roll_orc_reg
reg[ 4 : 0 ] | orc_1
reg[ 4 : 0 ] | orc_2
reg[ 4 : 0 ] | orc_3
reg[ 4 : 0 ] | orc_4
reg[ 4 : 0 ] | orc_5
reg[ 4 : 0 ] | orc_reg_delay
reg[ 4 : 0 ] | static_orc_1
reg[ 4 : 0 ] | static_orc_2
reg[ 4 : 0 ] | static_orc_3
reg[ 4 : 0 ] | static_orc_4
reg[ 4 : 0 ] | static_orc_5
reg[ 4 : 0 ] | static_orc_6
reg[ 4 : 0 ] | edge_ro_1
reg[ 4 : 0 ] | edge_ro_2
reg[ 4 : 0 ] | edge_ro_3
reg[ 4 : 0 ] | edge_ro_4
reg[ 4 : 0 ] | edge_ro_5
reg[ 31 : 0 ] | jpeg_ro_1
reg[ 31 : 0 ] | jpeg_ro_2
reg[ 31 : 0 ] | jpeg_ro_3
reg[ 31 : 0 ] | jpeg_ro_4
reg[ 31 : 0 ] | jpeg_ro_5
reg[ 31 : 0 ] | jpeg_delay
reg[ 31 : 0 ] | jpeg
reg[ 31 : 0 ] | jpeg_1
reg[ 31 : 0 ] | jpeg_2
reg[ 31 : 0 ] | jpeg_3
reg[ 31 : 0 ] | jpeg_4
reg[ 31 : 0 ] | jpeg_5
reg[ 31 : 0 ] | jpeg_6
reg[ 31 : 0 ] | JPEG_bitstream
reg[ 4 : 0 ] | cr_orc_1
reg[ 4 : 0 ] | cb_orc_1
reg[ 4 : 0 ] | y_orc_1
reg | cr_out_enable_1
reg | cb_out_enable_1
reg | y_out_enable_1
reg | eob_1
reg | eob_2
reg | eob_3
reg | eob_4
reg | enable_1
reg | enable_2
reg | enable_3
reg | enable_4
reg | enable_5
reg | enable_6
reg | enable_7
reg | enable_8
reg | enable_9
reg | enable_10
reg | enable_11
reg | enable_12
reg | enable_13
reg | enable_14
reg | enable_15
reg | enable_16
reg | enable_17
reg | enable_18
reg | enable_19
reg | enable_20
reg | enable_21
reg | enable_22
reg | enable_23
reg | enable_24
reg | enable_25
reg | enable_26
reg | enable_27
reg | enable_28
reg | enable_29
reg | enable_30
reg | enable_31
reg | enable_32
reg | enable_33
reg | enable_34
reg | enable_35
reg[ 2 : 0 ] | bits_mux
reg[ 2 : 0 ] | old_orc_mux
reg[ 2 : 0 ] | read_mux
reg | bits_ready
reg | br_1
reg | br_2
reg | br_3
reg | br_4
reg | br_5
reg | br_6
reg | br_7
reg | br_8
reg | rollover
reg | rollover_1
reg | rollover_2
reg | rollover_3
reg | rollover_eob
reg | rollover_4
reg | rollover_5
reg | rollover_6
reg | rollover_7
reg | data_ready
reg | eobe_1
reg | cb_read_req
reg | cr_read_req
reg | y_read_req
reg | eob_early_out_enable
reg | fifo_mux
wire[ 31 : 0 ] | cr_bits_out1
wire[ 31 : 0 ] | cr_bits_out2
wire[ 31 : 0 ] | cb_bits_out1
wire[ 31 : 0 ] | cb_bits_out2
wire | cr_fifo_empty1
wire | cr_fifo_empty2
wire | cb_fifo_empty1
wire | cb_fifo_empty2
wire | cr_out_enable1
wire | cr_out_enable2
wire | cb_out_enable1
wire | cb_out_enable2
wire | cb_write_enable
wire | cr_write_enable
wire | y_write_enable
wire | cr_read_req1
wire | cr_read_req2
wire[ 31 : 0 ] | cr_JPEG_bitstream1
wire[ 31 : 0 ] | cr_JPEG_bitstream2
wire | cr_write_enable1
wire | cr_write_enable2
wire[ 31 : 0 ] | cr_bits_out
wire | cr_fifo_empty
wire | cr_out_enable
wire | cb_read_req1
wire | cb_read_req2
wire[ 31 : 0 ] | cb_JPEG_bitstream1
wire[ 31 : 0 ] | cb_JPEG_bitstream2
wire | cb_write_enable1
wire | cb_write_enable2
wire[ 31 : 0 ] | cb_bits_out
wire | cb_fifo_empty
wire | cb_out_enable

## Module Instances
pre_fifo::u14 | Module pre_fifo
sync_fifo_32::u15 | Module sync_fifo_32
sync_fifo_32::u25 | Module sync_fifo_32
sync_fifo_32::u16 | Module sync_fifo_32
sync_fifo_32::u24 | Module sync_fifo_32
sync_fifo_32::u17 | Module sync_fifo_32

## Detailed Description

Definition at line 42 of file fifo_out.v.

## Member Function Documentation

ALWAYS_253 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 142 of file fifo_out.v.

ALWAYS_254 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 150 of file fifo_out.v.

ALWAYS_255 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 158 of file fifo_out.v.

ALWAYS_256 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 166 of file fifo_out.v.

ALWAYS_257 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 174 of file fifo_out.v.

ALWAYS_258 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 195 of file fifo_out.v.

ALWAYS_259 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 203 of file fifo_out.v.

ALWAYS_260 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 223 of file fifo_out.v.

ALWAYS_261 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 233 of file fifo_out.v.

ALWAYS_262 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 241 of file fifo_out.v.

ALWAYS_263 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 249 of file fifo_out.v.

ALWAYS_264 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 257 of file fifo_out.v.

ALWAYS_265 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 269 of file fifo_out.v.

ALWAYS_266 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 279 of file fifo_out.v.

ALWAYS_267 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 289 of file fifo_out.v.

ALWAYS_268 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 299 of file fifo_out.v.

ALWAYS_269 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 309 of file fifo_out.v.

ALWAYS_270 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 319 of file fifo_out.v.

ALWAYS_271 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 329 of file fifo_out.v.

ALWAYS_272 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 341 of file fifo_out.v.

ALWAYS_273 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 353 of file fifo_out.v.

ALWAYS_274 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 365 of file fifo_out.v.

ALWAYS_275 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 378 of file fifo_out.v.

ALWAYS_276 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 389 of file fifo_out.v.

ALWAYS_277 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 402 of file fifo_out.v.

ALWAYS_278 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 415 of file fifo_out.v.

ALWAYS_279 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 428 of file fifo_out.v.

ALWAYS_280 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 441 of file fifo_out.v.

ALWAYS_281 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 454 of file fifo_out.v.

ALWAYS_282 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 483 of file fifo_out.v.

ALWAYS_283 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 493 of file fifo_out.v.

ALWAYS_284 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 503 of file fifo_out.v.

ALWAYS_285 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 513 of file fifo_out.v.

ALWAYS_286 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 523 of file fifo_out.v.

ALWAYS_287 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 533 of file fifo_out.v.

ALWAYS_288 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 543 of file fifo_out.v.

ALWAYS_289 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 553 of file fifo_out.v.

ALWAYS_290 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 563 of file fifo_out.v.

ALWAYS_291 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 573 of file fifo_out.v.

ALWAYS_292 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 583 of file fifo_out.v.

ALWAYS_293 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 593 of file fifo_out.v.

ALWAYS_294 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 603 of file fifo_out.v.

ALWAYS_295 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 613 of file fifo_out.v.

ALWAYS_296 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 623 of file fifo_out.v.

ALWAYS_297 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 633 of file fifo_out.v.

ALWAYS_298 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 643 of file fifo_out.v.

ALWAYS_299 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 653 of file fifo_out.v.

ALWAYS_300 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 663 of file fifo_out.v.

ALWAYS_301 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 673 of file fifo_out.v.

ALWAYS_302 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 683 of file fifo_out.v.

ALWAYS_303 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 693 of file fifo_out.v.

ALWAYS_304 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 703 of file fifo_out.v.

ALWAYS_305 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 713 of file fifo_out.v.

ALWAYS_306 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 723 of file fifo_out.v.

ALWAYS_307 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 733 of file fifo_out.v.

ALWAYS_308 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 743 of file fifo_out.v.

ALWAYS_309 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 753 of file fifo_out.v.

ALWAYS_310 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 763 of file fifo_out.v.

ALWAYS_311 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 773 of file fifo_out.v.

ALWAYS_312 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 783 of file fifo_out.v.

ALWAYS_313 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 793 of file fifo_out.v.

ALWAYS_314 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 803 of file fifo_out.v.

## Member Data Documentation

clk
| Input

Definition at line 43 of file fifo_out.v.

rst
| Input

Definition at line 43 of file fifo_out.v.

enable
| Input

Definition at line 43 of file fifo_out.v.

data_in [ 23 : 0 ]
| Input

Definition at line 44 of file fifo_out.v.

JPEG_bitstream [ 31 : 0 ]
| Output

Definition at line 45 of file fifo_out.v.

data_ready
| Output

Definition at line 46 of file fifo_out.v.

orc_reg [ 4 : 0 ]
| Output

Definition at line 47 of file fifo_out.v.

cb_JPEG_bitstream
| Signal

Definition at line 51 of file fifo_out.v.

cr_JPEG_bitstream
| Signal

Definition at line 51 of file fifo_out.v.

y_JPEG_bitstream
| Signal

Definition at line 51 of file fifo_out.v.

cr_orc
| Signal

Definition at line 52 of file fifo_out.v.

cb_orc
| Signal

Definition at line 52 of file fifo_out.v.

y_orc
| Signal

Definition at line 52 of file fifo_out.v.

y_bits_out
| Signal

Definition at line 53 of file fifo_out.v.

y_out_enable
| Signal

Definition at line 54 of file fifo_out.v.

cb_data_ready
| Signal

Definition at line 55 of file fifo_out.v.

cr_data_ready
| Signal

Definition at line 55 of file fifo_out.v.

y_data_ready
| Signal

Definition at line 55 of file fifo_out.v.

end_of_block_output
| Signal

Definition at line 56 of file fifo_out.v.

y_eob_empty
| Signal

Definition at line 56 of file fifo_out.v.

cb_eob_empty
| Signal

Definition at line 57 of file fifo_out.v.

cr_eob_empty
| Signal

Definition at line 57 of file fifo_out.v.

y_fifo_empty
| Signal

Definition at line 58 of file fifo_out.v.

orc
| Signal

Definition at line 59 of file fifo_out.v.

orc_reg
| Signal

Definition at line 59 of file fifo_out.v.

orc_cb
| Signal

Definition at line 59 of file fifo_out.v.

orc_cr
| Signal

Definition at line 59 of file fifo_out.v.

old_orc_reg
| Signal

Definition at line 59 of file fifo_out.v.

sorc_reg
| Signal

Definition at line 59 of file fifo_out.v.

roll_orc_reg
| Signal

Definition at line 59 of file fifo_out.v.

orc_1
| Signal

Definition at line 60 of file fifo_out.v.

orc_2
| Signal

Definition at line 60 of file fifo_out.v.

orc_3
| Signal

Definition at line 60 of file fifo_out.v.

orc_4
| Signal

Definition at line 60 of file fifo_out.v.

orc_5
| Signal

Definition at line 60 of file fifo_out.v.

orc_reg_delay
| Signal

Definition at line 60 of file fifo_out.v.

static_orc_1
| Signal

Definition at line 61 of file fifo_out.v.

static_orc_2
| Signal

Definition at line 61 of file fifo_out.v.

static_orc_3
| Signal

Definition at line 61 of file fifo_out.v.

static_orc_4
| Signal

Definition at line 61 of file fifo_out.v.

static_orc_5
| Signal

Definition at line 61 of file fifo_out.v.

static_orc_6
| Signal

Definition at line 62 of file fifo_out.v.

edge_ro_1
| Signal

Definition at line 63 of file fifo_out.v.

edge_ro_2
| Signal

Definition at line 63 of file fifo_out.v.

edge_ro_3
| Signal

Definition at line 63 of file fifo_out.v.

edge_ro_4
| Signal

Definition at line 63 of file fifo_out.v.

edge_ro_5
| Signal

Definition at line 63 of file fifo_out.v.

jpeg_ro_1
| Signal

Definition at line 64 of file fifo_out.v.

jpeg_ro_2
| Signal

Definition at line 64 of file fifo_out.v.

jpeg_ro_3
| Signal

Definition at line 64 of file fifo_out.v.

jpeg_ro_4
| Signal

Definition at line 64 of file fifo_out.v.

jpeg_ro_5
| Signal

Definition at line 64 of file fifo_out.v.

jpeg_delay
| Signal

Definition at line 64 of file fifo_out.v.

jpeg
| Signal

Definition at line 65 of file fifo_out.v.

jpeg_1
| Signal

Definition at line 65 of file fifo_out.v.

jpeg_2
| Signal

Definition at line 65 of file fifo_out.v.

jpeg_3
| Signal

Definition at line 65 of file fifo_out.v.

jpeg_4
| Signal

Definition at line 65 of file fifo_out.v.

jpeg_5
| Signal

Definition at line 65 of file fifo_out.v.

jpeg_6
| Signal

Definition at line 65 of file fifo_out.v.

JPEG_bitstream
| Signal

Definition at line 65 of file fifo_out.v.

cr_orc_1
| Signal

Definition at line 66 of file fifo_out.v.

cb_orc_1
| Signal

Definition at line 66 of file fifo_out.v.

y_orc_1
| Signal

Definition at line 66 of file fifo_out.v.

cr_out_enable_1
| Signal

Definition at line 67 of file fifo_out.v.

cb_out_enable_1
| Signal

Definition at line 67 of file fifo_out.v.

y_out_enable_1
| Signal

Definition at line 67 of file fifo_out.v.

eob_1
| Signal

Definition at line 67 of file fifo_out.v.

eob_2
| Signal

Definition at line 68 of file fifo_out.v.

eob_3
| Signal

Definition at line 68 of file fifo_out.v.

eob_4
| Signal

Definition at line 68 of file fifo_out.v.

enable_1
| Signal

Definition at line 69 of file fifo_out.v.

enable_2
| Signal

Definition at line 69 of file fifo_out.v.

enable_3
| Signal

Definition at line 69 of file fifo_out.v.

enable_4
| Signal

Definition at line 69 of file fifo_out.v.

enable_5
| Signal

Definition at line 69 of file fifo_out.v.

enable_6
| Signal

Definition at line 70 of file fifo_out.v.

enable_7
| Signal

Definition at line 70 of file fifo_out.v.

enable_8
| Signal

Definition at line 70 of file fifo_out.v.

enable_9
| Signal

Definition at line 70 of file fifo_out.v.

enable_10
| Signal

Definition at line 70 of file fifo_out.v.

enable_11
| Signal

Definition at line 71 of file fifo_out.v.

enable_12
| Signal

Definition at line 71 of file fifo_out.v.

enable_13
| Signal

Definition at line 71 of file fifo_out.v.

enable_14
| Signal

Definition at line 71 of file fifo_out.v.

enable_15
| Signal

Definition at line 71 of file fifo_out.v.

enable_16
| Signal

Definition at line 72 of file fifo_out.v.

enable_17
| Signal

Definition at line 72 of file fifo_out.v.

enable_18
| Signal

Definition at line 72 of file fifo_out.v.

enable_19
| Signal

Definition at line 72 of file fifo_out.v.

enable_20
| Signal

Definition at line 72 of file fifo_out.v.

enable_21
| Signal

Definition at line 73 of file fifo_out.v.

enable_22
| Signal

Definition at line 73 of file fifo_out.v.

enable_23
| Signal

Definition at line 73 of file fifo_out.v.

enable_24
| Signal

Definition at line 73 of file fifo_out.v.

enable_25
| Signal

Definition at line 73 of file fifo_out.v.

enable_26
| Signal

Definition at line 74 of file fifo_out.v.

enable_27
| Signal

Definition at line 74 of file fifo_out.v.

enable_28
| Signal

Definition at line 74 of file fifo_out.v.

enable_29
| Signal

Definition at line 74 of file fifo_out.v.

enable_30
| Signal

Definition at line 74 of file fifo_out.v.

enable_31
| Signal

Definition at line 75 of file fifo_out.v.

enable_32
| Signal

Definition at line 75 of file fifo_out.v.

enable_33
| Signal

Definition at line 75 of file fifo_out.v.

enable_34
| Signal

Definition at line 75 of file fifo_out.v.

enable_35
| Signal

Definition at line 75 of file fifo_out.v.

bits_mux
| Signal

Definition at line 76 of file fifo_out.v.

old_orc_mux
| Signal

Definition at line 76 of file fifo_out.v.

read_mux
| Signal

Definition at line 76 of file fifo_out.v.

bits_ready
| Signal

Definition at line 77 of file fifo_out.v.

br_1
| Signal

Definition at line 77 of file fifo_out.v.

br_2
| Signal

Definition at line 77 of file fifo_out.v.

br_3
| Signal

Definition at line 77 of file fifo_out.v.

br_4
| Signal

Definition at line 77 of file fifo_out.v.

br_5
| Signal

Definition at line 77 of file fifo_out.v.

br_6
| Signal

Definition at line 77 of file fifo_out.v.

br_7
| Signal

Definition at line 77 of file fifo_out.v.

br_8
| Signal

Definition at line 77 of file fifo_out.v.

rollover
| Signal

Definition at line 78 of file fifo_out.v.

rollover_1
| Signal

Definition at line 78 of file fifo_out.v.

rollover_2
| Signal

Definition at line 78 of file fifo_out.v.

rollover_3
| Signal

Definition at line 78 of file fifo_out.v.

rollover_eob
| Signal

Definition at line 78 of file fifo_out.v.

rollover_4
| Signal

Definition at line 79 of file fifo_out.v.

rollover_5
| Signal

Definition at line 79 of file fifo_out.v.

rollover_6
| Signal

Definition at line 79 of file fifo_out.v.

rollover_7
| Signal

Definition at line 79 of file fifo_out.v.

data_ready
| Signal

Definition at line 80 of file fifo_out.v.

eobe_1
| Signal

Definition at line 80 of file fifo_out.v.

cb_read_req
| Signal

Definition at line 80 of file fifo_out.v.

cr_read_req
| Signal

Definition at line 80 of file fifo_out.v.

y_read_req
| Signal

Definition at line 80 of file fifo_out.v.

eob_early_out_enable
| Signal

Definition at line 81 of file fifo_out.v.

fifo_mux
| Signal

Definition at line 81 of file fifo_out.v.

cr_bits_out1
| Signal

Definition at line 82 of file fifo_out.v.

cr_bits_out2
| Signal

Definition at line 82 of file fifo_out.v.

cb_bits_out1
| Signal

Definition at line 82 of file fifo_out.v.

cb_bits_out2
| Signal

Definition at line 82 of file fifo_out.v.

cr_fifo_empty1
| Signal

Definition at line 83 of file fifo_out.v.

cr_fifo_empty2
| Signal

Definition at line 83 of file fifo_out.v.

cb_fifo_empty1
| Signal

Definition at line 83 of file fifo_out.v.

cb_fifo_empty2
| Signal

Definition at line 83 of file fifo_out.v.

cr_out_enable1
| Signal

Definition at line 84 of file fifo_out.v.

cr_out_enable2
| Signal

Definition at line 84 of file fifo_out.v.

cb_out_enable1
| Signal

Definition at line 84 of file fifo_out.v.

cb_out_enable2
| Signal

Definition at line 84 of file fifo_out.v.

cb_write_enable
| Signal

Definition at line 85 of file fifo_out.v.

cr_write_enable
| Signal

Definition at line 86 of file fifo_out.v.

y_write_enable
| Signal

Definition at line 87 of file fifo_out.v.

cr_read_req1
| Signal

Definition at line 88 of file fifo_out.v.

cr_read_req2
| Signal

Definition at line 89 of file fifo_out.v.

cr_JPEG_bitstream1
| Signal

Definition at line 90 of file fifo_out.v.

cr_JPEG_bitstream2
| Signal

Definition at line 91 of file fifo_out.v.

cr_write_enable1
| Signal

Definition at line 92 of file fifo_out.v.

cr_write_enable2
| Signal

Definition at line 93 of file fifo_out.v.

cr_bits_out
| Signal

Definition at line 94 of file fifo_out.v.

cr_fifo_empty
| Signal

Definition at line 95 of file fifo_out.v.

cr_out_enable
| Signal

Definition at line 96 of file fifo_out.v.

cb_read_req1
| Signal

Definition at line 97 of file fifo_out.v.

cb_read_req2
| Signal

Definition at line 98 of file fifo_out.v.

cb_JPEG_bitstream1
| Signal

Definition at line 99 of file fifo_out.v.

cb_JPEG_bitstream2
| Signal

Definition at line 100 of file fifo_out.v.

cb_write_enable1
| Signal

Definition at line 101 of file fifo_out.v.

cb_write_enable2
| Signal

Definition at line 102 of file fifo_out.v.

cb_bits_out
| Signal

Definition at line 103 of file fifo_out.v.

cb_fifo_empty
| Signal

Definition at line 104 of file fifo_out.v.

cb_out_enable
| Signal

Definition at line 105 of file fifo_out.v.

pre_fifo u14
| Module Instance

Definition at line 108 of file fifo_out.v.

sync_fifo_32 u15
| Module Instance

Definition at line 117 of file fifo_out.v.

sync_fifo_32 u25
| Module Instance

Definition at line 122 of file fifo_out.v.

sync_fifo_32 u16
| Module Instance

Definition at line 127 of file fifo_out.v.

sync_fifo_32 u24
| Module Instance

Definition at line 132 of file fifo_out.v.

sync_fifo_32 u17
| Module Instance

Definition at line 137 of file fifo_out.v.

The documentation for this Module was generated from the following files:

- code/fifo_out.v